Bug 1133375 - (CVE-2019-9928) VUL-0: CVE-2019-9928: gstreamer-plugins-base, gstreamer-0_10-plugins-base: heap-based buffer overflow in the RTSP connection parser via a crafted response from a server
(CVE-2019-9928)
VUL-0: CVE-2019-9928: gstreamer-plugins-base, gstreamer-0_10-plugins-base: he...
Status: IN_PROGRESS
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Major
: ---
Assigned To: E-mail List
Security Team bot
https://smash.suse.de/issue/230232/
CVSSv2:NVD:CVE-2019-9928:6.8:(AV:N/AC...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-25 09:19 UTC by Marcus Meissner
Modified: 2020-07-07 16:21 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2019-04-25 09:19:07 UTC
CVE-2019-9928

GStreamer before 1.16.0 has a heap-based buffer overflow in the RTSP connection
parser via a crafted response from a server, potentially allowing remote code
execution.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-9928
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-9928
http://www.cvedetails.com/cve/CVE-2019-9928/
https://gstreamer.freedesktop.org/security/sa-2019-0001.html
https://gstreamer.freedesktop.org/security/
Comment 1 Marcus Meissner 2019-04-25 09:44:58 UTC
I tried finding the right package where rtsp is, so far not much luck.
Comment 5 Swamp Workflow Management 2019-06-11 13:12:15 UTC
SUSE-SU-2019:14076-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1024076,1024079,1133375
CVE References: CVE-2017-5837,CVE-2017-5844,CVE-2019-9928
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    gstreamer-0_10-plugins-base-0.10.35-5.18.5.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    gstreamer-0_10-plugins-base-0.10.35-5.18.5.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    gstreamer-0_10-plugins-base-0.10.35-5.18.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2019-06-14 16:12:11 UTC
SUSE-SU-2019:1508-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1133375
CVE References: CVE-2019-9928
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    gstreamer-0_10-plugins-base-0.10.36-11.9.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    gstreamer-0_10-plugins-base-0.10.36-11.9.1
SUSE Linux Enterprise Server 12-LTSS (src):    gstreamer-0_10-plugins-base-0.10.36-11.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2019-06-14 19:11:00 UTC
SUSE-SU-2019:1509-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1133375
CVE References: CVE-2019-9928
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    gstreamer-plugins-base-1.2.4-2.9.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    gstreamer-plugins-base-1.2.4-2.9.1
SUSE Linux Enterprise Server 12-LTSS (src):    gstreamer-plugins-base-1.2.4-2.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2019-06-21 13:12:42 UTC
SUSE-SU-2019:1600-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1133375
CVE References: CVE-2019-9928
Sources used:
SUSE OpenStack Cloud 7 (src):    gstreamer-plugins-base-1.8.3-13.3.2
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    gstreamer-plugins-base-1.8.3-13.3.2
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    gstreamer-plugins-base-1.8.3-13.3.2
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    gstreamer-plugins-base-1.8.3-13.3.2
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    gstreamer-plugins-base-1.8.3-13.3.2
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    gstreamer-plugins-base-1.8.3-13.3.2
SUSE Linux Enterprise Server 12-SP4 (src):    gstreamer-plugins-base-1.8.3-13.3.2
SUSE Linux Enterprise Server 12-SP3 (src):    gstreamer-plugins-base-1.8.3-13.3.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    gstreamer-plugins-base-1.8.3-13.3.2
SUSE Linux Enterprise Server 12-SP2-BCL (src):    gstreamer-plugins-base-1.8.3-13.3.2
SUSE Linux Enterprise Desktop 12-SP4 (src):    gstreamer-plugins-base-1.8.3-13.3.2
SUSE Linux Enterprise Desktop 12-SP3 (src):    gstreamer-plugins-base-1.8.3-13.3.2
SUSE Enterprise Storage 4 (src):    gstreamer-plugins-base-1.8.3-13.3.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2019-06-21 13:24:29 UTC
SUSE-SU-2019:1602-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1133375
CVE References: CVE-2019-9928
Sources used:
SUSE OpenStack Cloud 7 (src):    gstreamer-0_10-plugins-base-0.10.36-18.3.2
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    gstreamer-0_10-plugins-base-0.10.36-18.3.2
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    gstreamer-0_10-plugins-base-0.10.36-18.3.2
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    gstreamer-0_10-plugins-base-0.10.36-18.3.2
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    gstreamer-0_10-plugins-base-0.10.36-18.3.2
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    gstreamer-0_10-plugins-base-0.10.36-18.3.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    gstreamer-0_10-plugins-base-0.10.36-18.3.2
SUSE Linux Enterprise Server 12-SP2-BCL (src):    gstreamer-0_10-plugins-base-0.10.36-18.3.2
SUSE Linux Enterprise Desktop 12-SP4 (src):    gstreamer-0_10-plugins-base-0.10.36-18.3.2
SUSE Linux Enterprise Desktop 12-SP3 (src):    gstreamer-0_10-plugins-base-0.10.36-18.3.2
SUSE Enterprise Storage 4 (src):    gstreamer-0_10-plugins-base-0.10.36-18.3.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2019-06-27 10:28:33 UTC
openSUSE-SU-2019:1639-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1133375
CVE References: CVE-2019-9928
Sources used:
openSUSE Leap 42.3 (src):    gstreamer-plugins-base-1.8.3-8.3.1
Comment 11 Swamp Workflow Management 2019-06-27 10:31:53 UTC
openSUSE-SU-2019:1638-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1133375
CVE References: CVE-2019-9928
Sources used:
openSUSE Leap 42.3 (src):    gstreamer-0_10-plugins-base-0.10.36-18.3.1
Comment 14 Swamp Workflow Management 2020-05-22 22:29:50 UTC
openSUSE-SU-2020:0678-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1133375
CVE References: CVE-2019-9928
Sources used:
openSUSE Leap 15.1 (src):    gstreamer-plugins-base-1.12.5-lp151.3.3.1
Comment 15 Swamp Workflow Management 2020-07-07 16:21:09 UTC
SUSE-SU-2020:1300-2: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1133375
CVE References: CVE-2019-9928
Sources used:
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP1 (src):    gstreamer-plugins-base-1.12.5-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.